Skip to main content
PATCH
/
public
/
v1
/
customer-payments
/
{record_number}
/
Update CustomerPayment record (partial)
curl --request PATCH \
  --url https://api.dualentry.com/public/v1/customer-payments/{record_number}/ \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --data '
{
  "custom_fields": [
    {}
  ],
  "company_id": 123,
  "customer_id": 123,
  "check_number": "<string>",
  "account_number": 123,
  "exchange_rate": 123,
  "unassigned_amount": 1,
  "memo": "<string>",
  "items": [
    {
      "amount": 123,
      "position": 123,
      "id": 123,
      "invoice_number": 123,
      "customer_credit_number": 123,
      "account_number": 123,
      "customer_id": 123,
      "vendor_id": 123,
      "description": ""
    }
  ],
  "attachments": [
    {
      "id": 123,
      "file_name": "<string>",
      "file_size": 123,
      "download_url": "<string>",
      "upload_url": "<string>",
      "category": "default"
    }
  ],
  "payment_method_id": 123,
  "line_date_validation": true,
  "date": "2023-12-25",
  "transaction_date": "2023-12-25"
}
'
import requests

url = "https://api.dualentry.com/public/v1/customer-payments/{record_number}/"

payload = {
"custom_fields": [{}],
"company_id": 123,
"customer_id": 123,
"check_number": "<string>",
"account_number": 123,
"exchange_rate": 123,
"unassigned_amount": 1,
"memo": "<string>",
"items": [
{
"amount": 123,
"position": 123,
"id": 123,
"invoice_number": 123,
"customer_credit_number": 123,
"account_number": 123,
"customer_id": 123,
"vendor_id": 123,
"description": ""
}
],
"attachments": [
{
"id": 123,
"file_name": "<string>",
"file_size": 123,
"download_url": "<string>",
"upload_url": "<string>",
"category": "default"
}
],
"payment_method_id": 123,
"line_date_validation": True,
"date": "2023-12-25",
"transaction_date": "2023-12-25"
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
custom_fields: [{}],
company_id: 123,
customer_id: 123,
check_number: '<string>',
account_number: 123,
exchange_rate: 123,
unassigned_amount: 1,
memo: '<string>',
items: [
{
amount: 123,
position: 123,
id: 123,
invoice_number: 123,
customer_credit_number: 123,
account_number: 123,
customer_id: 123,
vendor_id: 123,
description: ''
}
],
attachments: [
{
id: 123,
file_name: '<string>',
file_size: 123,
download_url: '<string>',
upload_url: '<string>',
category: 'default'
}
],
payment_method_id: 123,
line_date_validation: true,
date: '2023-12-25',
transaction_date: '2023-12-25'
})
};

fetch('https://api.dualentry.com/public/v1/customer-payments/{record_number}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "transaction_ids": [
    123
  ],
  "internal_id": 123,
  "number": 123,
  "account_number": 123,
  "items": [
    {
      "amount": "<string>",
      "position": 123,
      "bank_or_undeposited_account_amount": "<string>",
      "invoice_number": 123,
      "customer_credit_number": 123,
      "account_id": 123,
      "description": "<string>",
      "customer_id": 123,
      "vendor_id": 123
    }
  ],
  "company_id": 123,
  "company_name": "<string>",
  "company_currency": "<string>",
  "memo": "<string>",
  "check_number": "<string>",
  "date": "2023-12-25",
  "transaction_date": "2023-12-25",
  "exchange_rate": "<string>",
  "bank_or_undeposited_account_amount": "<string>",
  "amount": "<string>",
  "unassigned_amount": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "custom_fields": [],
  "attachments": [],
  "classifications": [],
  "created_by": {
    "actor_type": "<string>",
    "email": "<string>",
    "first_name": "<string>",
    "last_name": "<string>",
    "timestamp": "2023-11-07T05:31:56Z"
  },
  "updated_by": {
    "actor_type": "<string>",
    "email": "<string>",
    "first_name": "<string>",
    "last_name": "<string>",
    "timestamp": "2023-11-07T05:31:56Z"
  },
  "customer_id": 123,
  "customer_name": "<string>",
  "customer_deposits": [],
  "payment_method_id": 123
}
{
"errors": {},
"success": false
}
{
"errors": {},
"success": false
}
{
"errors": {},
"success": false
}
{
"errors": {},
"success": false
}

Authorizations

X-API-KEY
string
header
required

Path Parameters

record_number
integer
required

The number attribute of the record.

Body

application/json

Partial update payload for PATCH /public/customer-payments/{number}/.

Every field is optional: send only the fields you want to change. Unset fields are left untouched on the existing record.

custom_fields
Custom Fields · object[] | null
company_id
integer | null
customer_id
integer | null
check_number
string | null
account_number
integer | null
currency_iso_4217_code
enum<string> | null
Available options:
AED,
AFN,
ALL,
AMD,
ANG,
AOA,
ARS,
AUD,
AWG,
AZN,
BAM,
BBD,
BDT,
BGN,
BHD,
BIF,
BMD,
BND,
BOB,
BRL,
BSD,
BTN,
BWP,
BYN,
BZD,
CAD,
CDF,
CHF,
CLF,
CLP,
CNY,
COP,
CRC,
CUP,
CVE,
CZK,
DJF,
DKK,
DOP,
DZD,
EGP,
ERN,
ETB,
EUR,
FJD,
FKP,
GBP,
GEL,
GHS,
GIP,
GMD,
GNF,
GTQ,
GYD,
HKD,
HNL,
HTG,
HUF,
IDR,
ILS,
INR,
IQD,
IRR,
ISK,
JMD,
JOD,
JPY,
KES,
KGS,
KHR,
KMF,
KPW,
KRW,
KWD,
KYD,
KZT,
LAK,
LBP,
LKR,
LRD,
LSL,
LYD,
MAD,
MDL,
MGA,
MKD,
MMK,
MNT,
MOP,
MRU,
MUR,
MVR,
MWK,
MXN,
MYR,
MZN,
NAD,
NGN,
NIO,
NOK,
NPR,
NZD,
OMR,
PAB,
PEN,
PGK,
PHP,
PKR,
PLN,
PYG,
QAR,
RON,
RSD,
RUB,
RWF,
SAR,
SBD,
SCR,
SDG,
SEK,
SGD,
SHP,
SLL,
SOS,
SRD,
STN,
SVC,
SYP,
SZL,
THB,
TJS,
TMT,
TND,
TOP,
TRY,
TTD,
TWD,
TZS,
UAH,
UGX,
USD,
UYU,
UZS,
VES,
VND,
VUV,
WST,
XAF,
XAG,
XAU,
XCD,
XDR,
XOF,
XPD,
XPF,
XPT,
YER,
ZAR,
ZMW,
ZWL
exchange_rate
undeposited_funds_currency
enum<string> | null
Available options:
AED,
AFN,
ALL,
AMD,
ANG,
AOA,
ARS,
AUD,
AWG,
AZN,
BAM,
BBD,
BDT,
BGN,
BHD,
BIF,
BMD,
BND,
BOB,
BRL,
BSD,
BTN,
BWP,
BYN,
BZD,
CAD,
CDF,
CHF,
CLF,
CLP,
CNY,
COP,
CRC,
CUP,
CVE,
CZK,
DJF,
DKK,
DOP,
DZD,
EGP,
ERN,
ETB,
EUR,
FJD,
FKP,
GBP,
GEL,
GHS,
GIP,
GMD,
GNF,
GTQ,
GYD,
HKD,
HNL,
HTG,
HUF,
IDR,
ILS,
INR,
IQD,
IRR,
ISK,
JMD,
JOD,
JPY,
KES,
KGS,
KHR,
KMF,
KPW,
KRW,
KWD,
KYD,
KZT,
LAK,
LBP,
LKR,
LRD,
LSL,
LYD,
MAD,
MDL,
MGA,
MKD,
MMK,
MNT,
MOP,
MRU,
MUR,
MVR,
MWK,
MXN,
MYR,
MZN,
NAD,
NGN,
NIO,
NOK,
NPR,
NZD,
OMR,
PAB,
PEN,
PGK,
PHP,
PKR,
PLN,
PYG,
QAR,
RON,
RSD,
RUB,
RWF,
SAR,
SBD,
SCR,
SDG,
SEK,
SGD,
SHP,
SLL,
SOS,
SRD,
STN,
SVC,
SYP,
SZL,
THB,
TJS,
TMT,
TND,
TOP,
TRY,
TTD,
TWD,
TZS,
UAH,
UGX,
USD,
UYU,
UZS,
VES,
VND,
VUV,
WST,
XAF,
XAG,
XAU,
XCD,
XDR,
XOF,
XPD,
XPF,
XPT,
YER,
ZAR,
ZMW,
ZWL
unassigned_amount
Required range: x >= 0
memo
string | null
items
PublicCustomerPaymentItemIn · object[] | null
attachments
AttachmentSchemaOut · object[] | null
payment_method_id
integer | null
record_status
enum<string> | null
Available options:
draft,
posted,
archived
line_date_validation
boolean | null
date
string<date> | null
transaction_date
string<date> | null

Response

OK

transaction_ids
integer[]
required
internal_id
integer
required
number
integer
required
account_number
integer | null
required
items
PublicCustomerPaymentItemOut · object[]
required
company_id
integer
required
company_name
string
required
company_currency
string
required
memo
string
required
check_number
string
required
date
string<date>
required

Posting date (GL date) - the date when the transaction is recorded in the general ledger

transaction_date
string<date>
required

Transaction date (inception date) - the date when the transaction actually occurred

currency_iso_4217_code
enum<string>
required
Available options:
AED,
AFN,
ALL,
AMD,
ANG,
AOA,
ARS,
AUD,
AWG,
AZN,
BAM,
BBD,
BDT,
BGN,
BHD,
BIF,
BMD,
BND,
BOB,
BRL,
BSD,
BTN,
BWP,
BYN,
BZD,
CAD,
CDF,
CHF,
CLF,
CLP,
CNY,
COP,
CRC,
CUP,
CVE,
CZK,
DJF,
DKK,
DOP,
DZD,
EGP,
ERN,
ETB,
EUR,
FJD,
FKP,
GBP,
GEL,
GHS,
GIP,
GMD,
GNF,
GTQ,
GYD,
HKD,
HNL,
HTG,
HUF,
IDR,
ILS,
INR,
IQD,
IRR,
ISK,
JMD,
JOD,
JPY,
KES,
KGS,
KHR,
KMF,
KPW,
KRW,
KWD,
KYD,
KZT,
LAK,
LBP,
LKR,
LRD,
LSL,
LYD,
MAD,
MDL,
MGA,
MKD,
MMK,
MNT,
MOP,
MRU,
MUR,
MVR,
MWK,
MXN,
MYR,
MZN,
NAD,
NGN,
NIO,
NOK,
NPR,
NZD,
OMR,
PAB,
PEN,
PGK,
PHP,
PKR,
PLN,
PYG,
QAR,
RON,
RSD,
RUB,
RWF,
SAR,
SBD,
SCR,
SDG,
SEK,
SGD,
SHP,
SLL,
SOS,
SRD,
STN,
SVC,
SYP,
SZL,
THB,
TJS,
TMT,
TND,
TOP,
TRY,
TTD,
TWD,
TZS,
UAH,
UGX,
USD,
UYU,
UZS,
VES,
VND,
VUV,
WST,
XAF,
XAG,
XAU,
XCD,
XDR,
XOF,
XPD,
XPF,
XPT,
YER,
ZAR,
ZMW,
ZWL
exchange_rate
string
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d{0,16}0*$
undeposited_funds_currency
enum<string> | null
required
Available options:
AED,
AFN,
ALL,
AMD,
ANG,
AOA,
ARS,
AUD,
AWG,
AZN,
BAM,
BBD,
BDT,
BGN,
BHD,
BIF,
BMD,
BND,
BOB,
BRL,
BSD,
BTN,
BWP,
BYN,
BZD,
CAD,
CDF,
CHF,
CLF,
CLP,
CNY,
COP,
CRC,
CUP,
CVE,
CZK,
DJF,
DKK,
DOP,
DZD,
EGP,
ERN,
ETB,
EUR,
FJD,
FKP,
GBP,
GEL,
GHS,
GIP,
GMD,
GNF,
GTQ,
GYD,
HKD,
HNL,
HTG,
HUF,
IDR,
ILS,
INR,
IQD,
IRR,
ISK,
JMD,
JOD,
JPY,
KES,
KGS,
KHR,
KMF,
KPW,
KRW,
KWD,
KYD,
KZT,
LAK,
LBP,
LKR,
LRD,
LSL,
LYD,
MAD,
MDL,
MGA,
MKD,
MMK,
MNT,
MOP,
MRU,
MUR,
MVR,
MWK,
MXN,
MYR,
MZN,
NAD,
NGN,
NIO,
NOK,
NPR,
NZD,
OMR,
PAB,
PEN,
PGK,
PHP,
PKR,
PLN,
PYG,
QAR,
RON,
RSD,
RUB,
RWF,
SAR,
SBD,
SCR,
SDG,
SEK,
SGD,
SHP,
SLL,
SOS,
SRD,
STN,
SVC,
SYP,
SZL,
THB,
TJS,
TMT,
TND,
TOP,
TRY,
TTD,
TWD,
TZS,
UAH,
UGX,
USD,
UYU,
UZS,
VES,
VND,
VUV,
WST,
XAF,
XAG,
XAU,
XCD,
XDR,
XOF,
XPD,
XPF,
XPT,
YER,
ZAR,
ZMW,
ZWL
bank_or_undeposited_account_amount
string
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d{0,2}0*$
amount
string
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d{0,2}0*$
unassigned_amount
string
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d{0,2}0*$
record_status
enum<string>
required
Available options:
draft,
posted,
archived
paper_check_status
enum<string> | null
required
Available options:
printed,
not_printed,
archived
created_at
string<date-time>
required

Date and time the record was created

updated_at
string<date-time>
required

Date and time the record was last updated

custom_fields
CustomFieldValuePairOutputSchema · object[]
attachments
PublicAttachmentSchemaOut · object[]
classifications
PublicRecordClassificationsSchemaOut · object[]
created_by
AuditActorSchemaOut · object | null

Schema for audit actor information.

updated_by
AuditActorSchemaOut · object | null

Schema for audit actor information.

customer_id
integer | null
customer_name
string | null
customer_deposits
CustomerDepositDataPublicSchema · object[]
payment_method_id
integer | null
Last modified on July 13, 2026